PipeWire: Data Fields

PipeWire 0.3.37

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - c -

- cache : result_device_params_data, result_node_params_data, result_port_params_data
- cache_params : impl
- callback : param_filter, result_device_params_data, result_node_params_data, result_port_params_data, sync
- callbacks : filter, spa_graph_node, spa_pod_builder, stream
- can_passthrough : find_data
- capture : client, impl, module_roc_sink_data
- capture_info : impl
- capture_listener : client, impl, module_roc_sink_data
- capture_props : impl, module_roc_sink_data
- capture_ready : impl
- capture_sink : find_data, node
- categories : support
- cb : spa_hook, spa_interface
- change_mask : pw_client_info, pw_core_info, pw_device_info, pw_factory_info, pw_link_info, pw_module_info, pw_node_info, pw_port_info, spa_device_info, spa_device_object_info, spa_node_info, spa_port_info
- change_mask_all : filter, port, stream
- channels : spa_audio_info_dsd, spa_audio_info_raw
- check_access : pw_context_events
- child : spa_pod_array_body, spa_pod_choice_body
- chroma_site : spa_video_info_raw
- chunk : spa_data
- chunk_size : spa_buffer_alloc_info
- classes : profile
- cleanup : client
- clear : spa_handle
- client : client_data, impl
- client_demarshal : pw_protocol_marshal
- client_endpoint : endpoint
- client_endpoint_listener : endpoint
- client_id : endpoint, node
- client_list : impl, pw_protocol_server, server
- client_listener : client_data
- client_marshal : pw_protocol_marshal
- client_session_listener : impl
- clock : spa_io_position, stream
- clock_getres : spa_system_methods
- clock_gettime : spa_system_methods
- clock_id : filter, stream
- close : spa_system_methods
- codec : spa_audio_info_iec958
- color_matrix : spa_video_info_raw
- color_primaries : spa_video_info_raw
- color_range : spa_video_info_raw
- communication : node
- communication_count : impl
- compat_v2 : client_data
- cond : impl
- conf : impl
- config : default_node, node
- configured : node
- conn : impl
- conn_listener : client, client_data
- connect : pw_protocol_client
- connect_count : node
- connect_fd : pw_protocol_client
- connected : client
- connection : client, client_data
- container : control
- context : client, data, factory_data, filter, impl, module_roc_sink_data, module_roc_source_data, stream
- context_listener : impl, stream
- control : control, descriptor, pw_loop
- control_added : pw_impl_port_events
- control_data : port
- control_info : pw_stream_events
- control_port : graph, node
- control_removed : pw_impl_port_events
- cookie : pw_core_info
- core : client, impl, module_roc_sink_data, module_roc_source_data, pw_protocol_client, pw_protocol_server
- core_listener : impl, module_roc_sink_data, module_roc_source_data
- core_proxy_listener : client, impl, module_roc_sink_data, module_roc_source_data
- count : impl, result_device_params_data, result_node_params_data, result_port_params_data, spa_meta_busy
- create : spa_thread_utils_methods
- create_object : pw_core_methods, pw_impl_factory_implementation
- cur : spa_json